gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.NotebookAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype NotebookAccessible = NotebookAccessible (ManagedPtr NotebookAccessible)
- class (GObject o, IsDescendantOf NotebookAccessible o) => IsNotebookAccessible o
- toNotebookAccessible :: (MonadIO m, IsNotebookAccessible o) => o -> m NotebookAccessible

# Exported types

newtype NotebookAccessible Source #

Memory-managed wrapper type.

Constructors

NotebookAccessible (ManagedPtr NotebookAccessible) |

#### Instances

Instances details

Eq NotebookAccessible Source # |
Instance details Defined in GI.Gtk.Objects.NotebookAccessible Methods (==) :: NotebookAccessible -> NotebookAccessible -> Bool Source # (/=) :: NotebookAccessible -> NotebookAccessible -> Bool Source #
GObject NotebookAccessible Source # |
Instance details Defined in GI.Gtk.Objects.NotebookAccessible
ManagedPtrNewtype NotebookAccessible Source # |
Instance details Defined in GI.Gtk.Objects.NotebookAccessible Methods toManagedPtr :: NotebookAccessible -> ManagedPtr NotebookAccessible Source #
TypedObject NotebookAccessible Source # |
Instance details Defined in GI.Gtk.Objects.NotebookAccessible Methods glibType :: IO GType Source #
HasParentTypes NotebookAccessible Source # |
Instance details Defined in GI.Gtk.Objects.NotebookAccessible
IsGValue (Maybe NotebookAccessible) Source # | Convert `NotebookAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.NotebookAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe NotebookAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe NotebookAccessible) Source #
type ParentTypes NotebookAccessible Source # |
Instance details Defined in GI.Gtk.Objects.NotebookAccessible type ParentTypes NotebookAccessible = '[ContainerAccessible, WidgetAccessible, Accessible, Object, Object, Component, Selection]

class (GObject o, IsDescendantOf NotebookAccessible o) => IsNotebookAccessible o Source #

Type class for types which can be safely cast to `NotebookAccessible`, for instance with `toNotebookAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf NotebookAccessible o) => IsNotebookAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.NotebookAccessible

toNotebookAccessible :: (MonadIO m, IsNotebookAccessible o) => o -> m NotebookAccessible Source #

Cast to `NotebookAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, addSelection, bindProperty, bindPropertyFull, clearSelection, connectWidgetDestroyed, contains, forceFloating, freezeNotify, getv, grabFocus, initialize, isChildSelected, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSelection, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, removeSelection, runDispose, scrollTo, scrollToPoint, selectAllSelection, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getData, getDescription, getExtents, getHelpText, getIndexInParent, getLayer, getMdiZorder, getNAccessibleChildren, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRole, getSelectionCount, getSize, getWidget.

#### Setters

setAccessibleId, setData, setDataFull, setDescription, setExtents, setHelpText, setName, setParent, setPosition, setProperty, setRole, setSize, setWidget.